<?php
/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 21/04/20
 * Time: 11.53
 */

namespace FiloBlu\Rma\Handlers;
use FiloBlu\Rma\Model\RmaEmailManagment;

class RmaEmailHandler
{


    /**
     * @var RmaEmailManagment
     */
    private $rmaEmailManagment;

    /**
     * RmaEmailHandler constructor.
     * @param RmaEmailManagment $rmaEmailManagment
     */
    public function __construct(RmaEmailManagment $rmaEmailManagment){
        $this->rmaEmailManagment = $rmaEmailManagment;
    }

    public function sendRmaEmail(\Magento\Rma\Model\Rma $subject){
        $this->rmaEmailManagment->checkIfSendRmaEmail($subject);
    }
}